#!/usr/bin/env bash

usage()
{
cat << EOF
DESCRIPTION:
  Script for preparing DocumentWrapper HBase table.
  
USAGE: 
  $0    HBASE_TABLE_NAME
  $1... HBASE_TABLE_COLUMN_NAMES
  
EXAMPLE:
  $0 comac-out m c

ARGUMENTS:
  HBASE_TABLE_NAME           - HBase table name
  HBASE_TABLE_COLUMN_NAMES   - HBase table column names (at least one)
  
EOF
}

if [ "${#@}" -lt "2" ]
then
usage
exit
fi

getColumnFamilies(){
 for cf in $1
 do
  cfs+=,"'$cf'"
 done
 echo $cfs
}


columnFamilies=$(getColumnFamilies "${*:2}")
echo -e "disable '$1' \ndrop '$1' \ncreate '$1'$columnFamilies" | hbase shell

result=$(echo "count '$1'"|hbase shell|egrep '^.*row\(s\)'|head -c 1)
if [ "$result" != "0" ]
then
echo Table "'$1'"$columnFamilies has not been prepared. 
exit 1
fi

echo Table "'$1'"$columnFamilies has been prepared.
exit 0